TaliwareTaliware Developer

CL2C Swagger reference

Choose an endpoint, enter its required values, and inspect or send a real API request.

OpenAPI 3.0.3 · Swagger format

View or download the OpenAPI specification

21 endpoints
Complete endpoint URL
gethttps://developer.taliware.com/api/v1/cl2c/token

Get owner token balances

Returns owner token balance for a requested type, or both mainnet and faucet when type is omitted.

GET
/cl2c/token
x-api-key<token>

In: header

Query Parameters

type?string

When provided, returns a single balance object. If omitted, returns both balances.

Value in"mainnet" | "faucet"

Response Body

curl -X GET "https://developer.taliware.com/api/v1/cl2c/token?type=mainnet"
{
  "balance": 0,
  "walletAddress": "string"
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer